#ifndef _CONST_H_
#define _CONST_H_

//on travaille sans PIC
//#define SANS_PIC_BASIC

#define CS1		PIN_C0
#define CS2		PIN_C1
#define PS		PIN_C2
#define BRAKE_LMD	PIN_C3
#define WR		PIN_C4
#define RD		PIN_C5

// Adresses mmoires de l'eeprom du 16F876 pour mmoriser les paramtres envoys par le picbasic (facilite l'init)
#define EEPROM_PROP		0x00
#define EEPROM_INT		0x01
#define EEPROM_DER		0x02
#define EEPROM_INTLIMIT	0x03
#define EEPROM_MEM_STOP	0x04
#define EEPROM_MEM_ACC 	0x05
#define EEPROM_MEM_VIT 	0x06
#define EEPROM_DEB_TRACE 0x07

#define B_CLOCK		PIN_A3
#define B_DATA		PIN_A2

//Comm Ass-PICBASIC en IC

#define PIC_CLOCK	PIN_A4
#define PIC_DATA	PIN_A5

#endif //_CONST_H_
