#ifndef _I_iPIC_H_
#define _I_iPIC_H_

#define BEGIN_TRANS		0x7E
#define ERR_TRANS		0x55
#define CMD_INCONNUE	0x33

#define CMD_SET_VITESSE 0x05
#define CMD_SET_ACCEL	0x06
#define CMD_AVANCE		0x01
#define	CMD_RECULE		0x02
#define CMD_TRN_GAUCHE	0x03
#define CMD_TRN_DROITE	0x04
#define CMD_STOP		0x07
#define CMD_STOP_TEMP	0x08
#define CMD_RESUME		0x09
#define CMD_PROPORTIONNEL		0x0A
#define CMD_INTEGRAL	0x0B
#define CMD_DERIVEE		0x0C
#define CMD_INTLIMIT	0x0D
#define CMD_PURGE_TRACE	0x0E
#define CMD_LIRE_TRACE	0x0F
#define	CMD_LIRE_PID	0x10

#define ATT_BLOQ		1
#define CPT_RECO_PIC	4
#define CPT_BLOQ_PIC	16384

#define SIG_CRE_TIMEOUT 10000

void testCmd();
void waitForCmd();
#separate
void choix(int8 cmd,int8 data);
void FinEnvoi(int8 data);
unsigned int8 readOctet();
unsigned int8 readOctet_nblk();

void sendOctet(unsigned int8 oct);

//Lorsque le signal est reconnu
//retourne true (1)
//retourne 0 si l'attente n'est pas bloquante
// et que le temps allou est pass
#inline
void attendSignal_creneau();
int1 attendSignal_creneau_nblk();
void attendSignal();
void attendSignal_desc_mont();
void attendRead();

//void ajouter_trace(int8 donnee);
void lire_trace();
void purge_trace();

#endif //_I_iPIC_H_