#ifndef _I_cmd_LM629_H_
#define _I_cmd_LM629_H_


#define AVANCE_AV	0
#define AVANCE_RE	1
#define TOURNE_G	0
#define TOURNE_D	1

#define TRJ_OK		0xAA
#define ERR_DEP		0x8A
#define ERR_POS		0x8B

// Paramtres servant  rgler la trajectoire (load trajectory du LM). Rsiltats obtenus avec
// des capteurs HEDS5540 et des roues de roller de diamtre 5cm. Vrifier si on ne peut pas
// calculer pour que ce soit + portable?....
#define FACTEUR_POS	0x03F // 63.66 count par cm, valeur calcule,  vrifier.... en + aprs les virgules, hum...
#define FACTEUR_POS2 0x004 // Pour complter!
//#define FACTEUR_VIT	0.02169 // 1cm/s donne FACTEUR_VIT*count/sample ----> A Tester!
//#define FACTEUR_ACC	0.00007396 // 1cm/s donne FACTEUR_ACC*count/sample ----> A Tester!



void initLmData(int8 vitesse,int8 accel);

void avance(int8 nb_pas,int8 sens);

void tourne(int8 nb_pas,int8 sens);

void startMvt();
#separate
void setVitesse(int8 val);
#separate
void setAccel(int8 val);

void stop();
int8 stop_temp();
void resume();


//private
unsigned char waitForInt();

void regler_Proportionnel(int16 data);
void regler_Integral(int16 data);
void regler_Derivee(int16 data);
void regler_intlimit(int16 data);

#separate
void Afficher_Registres_LM1(int8 Type_registre);
#separate
void Afficher_Registres_LM2(int8 Type_registre);
#endif //_I_cmd_LM629_H_