#ifndef _ENCAR_H_
#define _ENCAR_H_

#define CPT_ENV 	64

#define CAR_CLR		0x80
#define CAR_PAUSE	0x8F
#define CAR_RST		0xFF
#define PAUSE_LENGTH	1000

#define C_0  0x00
#define C_1  0x01
#define C_2  0x02
#define	C_3  0x03
#define C_4  0x04
#define C_5  0x05
#define C_6  0x06
#define C_7  0x07
#define C_8  0x08
#define C_9  0x09
#define C_A  0x0A
#define C_B  0x0B
#define C_C  0x0C
#define C_D  0x0D
#define C_E  0x0E
#define C_F  0x0F
            
int8 pos_eeprom_Trace = EEPROM_DEB_TRACE ;

void initEnvoi();
#separate
void envoiCar(int8);
void emmetSignal(int1);
void affiche_int8(int8 valeur);
void affiche_int32(int32 valeur);
int8 convertir_char(int8 octet_char);
void ajouter_trace(int8 donnee);
void lire_trace();
void purge_trace();

#endif //_ENCAR_H_
