#ifndef _I_iPIC_H_
#define _I_iPIC_H_

#define BEGIN_TRANS		0xFA
#define ERR_TRANS		0x55
#define CMD_INCONNUE	0x33

#define CMD_SET_VITESSE 0x05
#define CMD_SET_ACCEL		0x06
#define CMD_AVANCE		0x01
#define	CMD_RECULE		0x02
#define CMD_TRN_GAUCHE	0x03
#define CMD_TRN_DROITE	0x04
#define CMD_STOP		0x07
#define CMD_STOP_TEMP	0x08
#define CMD_RESUME		0x09

#define ATT_BLOQ		1
#define CPT_RECO_PIC	4
#define CPT_BLOQ_PIC	16384

void readCmd();


unsigned int8 readOctet();

void sendOctet(unsigned int8 oct);

//Lorsque le signal est reconnu
//retourne true (1)
//retourne 0 si l'attente n'est pas bloquante
// et que le temps allou est pass
#inline
void attendSignal();
int1 transfAff();

#endif //_I_iPIC_H_