//A inclure en premier
#include "pic.h"

#include "main.h"
#include "consts.h"
#include "envcar.h"
//#include "i_lm629.h"
#include "iPIC.h"

//Le compilo ne prend qu'un .c
//donc on inclus les autres
#include "envcar.c"
#include "i_lm629.c"
#include "cmd_LM629.c"
#include "iPIC.c"


void init()
{
	//Ports en lecture
	set_tris_a(0xFF);
	set_tris_b(0xFF);
	set_tris_c(0xE0);	//commandes RD,WR,Csx et PS en sortie, le reste en entre.

	initEnvoi();
}

void main (void)
{
	char s_aff[5]="";
	
	init();

	delay_ms(1000);
	strcpy(s_aff,"PRET");
	envoiStr(s_aff,4);

	envoiCar(CAR_PAUSE);

	//affiche_int8(0x1A);
//	affiche_int16(0xE6A8);
			
	initLM(); //Fonctionne et est OK!!!
	strcpy(s_aff,"LMOK");
	envoiStr(s_aff,4);
	delay_ms(1000);

	set_tris_a(0xFF);
	strcpy(s_aff,"ATT.");
	envoiStr(s_aff,4);


	while(1)
	{
		transfAff();
//		lire_trace();	//Fonctionne
	}
	strcpy(s_aff,"FIN!");
	envoiStr(s_aff,4);

	

}
